Page MenuHomePhabricator

Investigate mobile experience
Closed, ResolvedPublic

Description

The original design process for the API Portal did not include the creation of mobile views. However, mobile views have been identified as a requirement for the MVP. The purpose of this task is to investigate the work required to create mobile views based on the current design.

To do:

Related Objects

StatusSubtypeAssignedTask
Resolved eprodromou
Resolvedapaskulin
Resolvedapaskulin

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2020, 10:32 PM

Mobile views are not part of the Hallo Welt contract. However, Chameleon is a responsive skin built on bootstrap, so it does well with mobile. The content would need to be designed to be responsive as well. We should discuss with the contractors whether the additional UI elements could be responsive and request that they be built that way in the MVP if it does not take significant additional effort . But, there would likely not be room in the contract for development of any mobile-only views.

apaskulin renamed this task from Mobile views to Investigate mobile experience.Apr 17 2020, 10:52 PM
apaskulin updated the task description. (Show Details)
apaskulin closed this task as Resolved.Apr 29 2020, 4:48 PM
apaskulin claimed this task.
apaskulin updated the task description. (Show Details)

After discussing with HalloWelt, they will be able to implement a functional mobile experience based on the provided designs.